
Robotics Systems Commons - Enhancement #38
Check Status or General Availability of boost::uuid on Target Platforms
08/17/2010 11:30 PM - S. Wrede

Status: Rejected Start date: 08/17/2010
Priority: Low Due date:
Assignee: S. Wrede % Done: 0%
Category: Util Estimated time: 0.00 hour
Target version:
Description

Unsure when or if it is included in later boost versions. If it is header only, we could probably include it in our own build.

History
#1 - 08/18/2010 09:59 AM - J. Wienke
- Category set to C++

#2 - 09/09/2010 05:15 PM - J. Wienke

I've already integrated a check for boost uuid in CMake. CMake will fail if uuid is not available. Shouldn't this be enough for the start?

#3 - 11/18/2010 11:41 AM - J. Wienke
- Project changed from Robotics Service Bus to Robotics Systems Commons
- Category deleted (C++)

#4 - 11/18/2010 11:43 AM - J. Wienke
- Category set to Util
- Assignee set to S. Wrede

Boost uuid is available since boost 1.42 as header-only implementation. I don't think including it is a good idea. Packagers of linux distributins regularly
moan about directly included packages that are available otherwise.

#5 - 01/04/2011 12:59 AM - J. Wienke
- Tracker changed from Tasks to Enhancement
- Status changed from New to Rejected
- Priority changed from Normal to Low
